### A free/open-source library for quantitative finance

Classes
ql/pricingengines/basket/mceuropeanbasketengine.hpp File Reference

European basket MC Engine. More...

`#include <ql/instruments/basketoption.hpp>`
`#include <ql/pricingengines/mcsimulation.hpp>`
`#include <ql/processes/blackscholesprocess.hpp>`
`#include <ql/processes/stochasticprocessarray.hpp>`
`#include <ql/exercise.hpp>`
Include dependency graph for mceuropeanbasketengine.hpp:

## Classes

class | MCEuropeanBasketEngine< RNG, S >
| Pricing engine for European basket options using Monte Carlo simulation. More...
class | MakeMCEuropeanBasketEngine< RNG, S >
| Monte Carlo basket-option engine factory. More...

## Detailed Description

European basket MC Engine.